#include <bits/stdc++.h>

using namespace std;
int p[1000000];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    bool k=0;
    int n;
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>p[i];
    if(n==2){
        int s=p[1];
        p[1]=p[0];
        p[0]=s;
        cout<<p[0]<<" "<<p[1];
    }
    else{
        for(int i=0;i<n-1;i++){
            for(int j=i+1;j<n;j++)
                if(p[j]>p[i]){
                    int s=p[i];
                    p[i]=p[j];
                    p[j]=s;
                    k=1;
                    break;
                }
            if(k)
                break;
        }
        for(int i=0;i<n;i++)
            cout<<p[i]<<" ";
    }
    return 0;
}